#[cfg(test)]
mod tests {
    use crate::meta_plugin::MetaPlugin;
    use crate::meta_plugin::digest::DigestMetaPlugin;

    #[test]
    fn test_digest_meta_plugin() {
        let plugin = DigestMetaPlugin::new(None, None);

        assert_eq!(
            plugin.meta_type(),
            crate::meta_plugin::MetaPluginType::Digest
        );
        assert!(plugin.is_internal());
    }

    #[test]
    fn test_read_time_meta_plugin() {
        let plugin = crate::meta_plugin::ReadTimeMetaPlugin::new(None, None);

        assert_eq!(
            plugin.meta_type(),
            crate::meta_plugin::MetaPluginType::ReadTime
        );
        assert!(plugin.is_internal());
    }

    #[test]
    fn test_read_rate_meta_plugin() {
        let plugin = crate::meta_plugin::ReadRateMetaPlugin::new(None, None);

        assert_eq!(
            plugin.meta_type(),
            crate::meta_plugin::MetaPluginType::ReadRate
        );
        assert!(plugin.is_internal());
    }
}
